unit USuMProjektAnlegen;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, Outline, DirOutln, StdCtrls, FileCtrl;

type
  TFSuMProjektAnlegen = class(TForm)
    GroupBox1: TGroupBox;
    EdName: TEdit;
    GroupBox2: TGroupBox;
    BtOK: TButton;
    BtAbbrechen: TButton;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    procedure DriveComboBox1Change(Sender: TObject);
    procedure BtOKClick(Sender: TObject);
    procedure BtAbbrechenClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  FSuMProjektAnlegen: TFSuMProjektAnlegen;

implementation

{$R *.DFM}

procedure TFSuMProjektAnlegen.FormActivate(Sender: TObject);
begin
   self.DirectoryListBox1.Drive := 'h';
   IF ForceDirectories('h:\D5')then
      begin
          self.DirectoryListBox1.Directory := 'h:\D5'
      end
end;


procedure TFSuMProjektAnlegen.DriveComboBox1Change(Sender: TObject);
begin
   self.DirectoryListBox1.Drive := DriveComboBox1.Drive;
end;

procedure TFSuMProjektAnlegen.BtOKClick(Sender: TObject);
var directory,temp : String;
    datei : TextFile;
begin
   if self.EdName.Text='' then
     begin
       ShowMessage('Fehler: Es wurde kein Name eingegeben');
     end
   else
     begin
       If DirectoryListBox1.Directory[length(DirectoryListBox1.Directory)]='\' then
          directory:=DirectoryListBox1.Directory + Edname.Text
       else
         directory:=DirectoryListBox1.Directory + '\' + Edname.Text;
       if ForceDirectories(directory) then
            begin
              // Datei erzeugen, 1. Zeile eintragen
              temp:= directory + '\' + EdName.Text + '.dpr';
              assignfile(datei,temp);
              Rewrite(datei);
              Writeln(datei,'program '+ EdName.Text +';');
              Writeln(datei,'');
              // Uses-Klausel
              writeln(datei,'uses mSuM;');
              Writeln(datei,'');
              Writeln(datei,'');
              // Objektvariablen
              Writeln(datei,'var');
              writeln(datei,'  meinStift: Stift; ');
              Writeln(datei,'  derBildschirm : Bildschirm; ');
              Writeln(datei,'  dieTastatur : Tastatur; ');
              Writeln(datei,'  dieMaus : Maus; ');
              Writeln(datei,'');
              // Anweisungsteil
              Writeln(datei,'begin');
              Writeln(datei,'');
              Writeln(datei,'{----- Objekte erzeugen und initialisieren -------}');
              Writeln(datei,'  derBildschirm := Bildschirm.init;');
              Writeln(datei,'  meinStift := Stift.init;');
              Writeln(datei,'  dieTastatur := Tastatur.init;');
              Writeln(datei,'  dieMaus := Maus.init;');
              Writeln(datei,'');
              Writeln(datei,'{----- Auftrge und Anfragen usw. ----------------}');
              Writeln(datei,'');
              Writeln(datei,'');
              Writeln(datei,'');
              Writeln(datei,'{----- Objekte auflsen --------------------------}');
              Writeln(datei,'  meinStift.gibFrei;');
              Writeln(datei,'  dieMaus.gibFrei;');
              Writeln(datei,'  dieTastatur.gibFrei;');
              Writeln(datei,'  derBildschirm.gibFrei;');
              Writeln(datei,'');
              Writeln(datei,'end.');
              CloseFile(datei);
              if Application.MessageBox('Die Projektdatei wurde erfolgreich angelegt.','Meldung',0)= IDOK then;
            end  // of if-zweig forcedirectories...
          else
            begin
              if Application.MessageBox('Fehler bei der Verzeichniserstellung','Fehler',0)=IDOK then;
            end; //of if forcedirectories
          // Fenster schlieen
          self.close;
     end; // of Name eingegeben
end;

procedure TFSuMProjektAnlegen.BtAbbrechenClick(Sender: TObject);
begin
   self.close;
   self.ModalResult:=mrCancel;
end;

end.
